
- Thread: https://forum.armbian.com/topic/12988-armbian-for-amlogic-s905x3/page/13/?tab=comments#comment-109248
  instructions: http://www.wechipbox.com/-ezp-24.html
    - ark: http://web.archive.org/save/*/www.wechipbox.com/-ezp-24.html
  quote: '''
  i've done many successful installations by now,

  but if it bricks, to recover you will need

  1. x96max+ android 9 firmware, i downloaded from http://geekbuying.mediafire.com/file/n6pu4qiqalf56d1/aml_upgrade_package.img/file
  2. male-2-male type A usb cable
  3. win10 apps. and instrutions provided by wechipbox.com

  hope this helps
  '''
